/**
 * Created on April 18, 2005 Project: UI
 * 
 * @author DNS   RAMACP
 */
package gov.va.med.esr.ui.ee.action;

import gov.va.med.esr.ui.ApplicationConstants;
import gov.va.med.esr.ui.util.AbstractUITestCase;

public class EligibilityViewActionTest extends AbstractUITestCase 
{   
    public EligibilityViewActionTest(String testName) {
        super(testName);
    }

    public void testViewPageDisplay() {
        setConfigFile("ee", "/WEB-INF/ee/struts-config.xml");
        addRequestParameter(ApplicationConstants.JSPParameters.SELECTED_PARTY_ID_PARAM,
                getPersonId()); 
        addRequestParameter("editedBy", "userA");
        setRequestPathInfo("/ee", "/eligibilityView.display.do");
        actionPerform();
        verifySessionData();
        verifyForward("success");
        verifyTilesForward("success",".view.eligibility");
        verifyNoActionErrors();
        //saves the session data to be used in the next test case in seq tests
        saveAppData();
    }
}

